Name:			SABnzbd
Version:		1.1.0RC3
Release:		1%{?dist}
Summary:		An Open Source Binary Newsreader written in Python
Group:			Applications/Internet
License:		GPLv2
URL:			http://sabnzbd.org/

Source0:                http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/%{version}/SABnzbd-%{version}-src.tar.gz
Source1:		SABnzbd.sh
Source2:		SABnzbd.desktop
Source3:		SABnzbd.initd
Source4:		SABnzbd.sysconfig
Source5:                SABnzbd@.service
#Patch0:                 systray-linux.patch  

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch

BuildRequires:		desktop-file-utils
%if 0%{?rhel} == 5
BuildRequires:		python26-devel
BuildRequires:		python26-setuptools
Requires:		python26
Requires:		pyOpenSSL26
Requires:		python26-cheetah
Requires:		python26-yenc
%global pyver 26
%global pybasever 2.6

%global __python /usr/bin/python%{pybasever}
%global __os_install_post %{__python26_os_install_post}
%else
BuildRequires:		python-devel
BuildRequires:		python-setuptools
Requires:		pyOpenSSL
Requires:		python-cheetah
Requires:		python-yenc
%endif

Requires:		unrar
Requires:		unzip
Requires:		wget
Requires:		nc
Requires:		par2cmdline

%if 0%{?fedora} >= 19
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif


Obsoletes:		SABnzbd-beta

%description
SABnzbd makes Usenet as simple and streamlined as possible by automating
everything it can. All you have to do is add an .nzb. SABnzbd takes over
from there, where it will be automatically downloaded, verified, repaired,
extracted and filed away with zero human interaction.

%prep
%setup -q -n SABnzbd-%{version}%{?sabrc}
#%patch0 -p1

%build

%if 0%{?rhel} == 5
sed -i "s|/usr/bin/python|/usr/bin/python26|g" %{_builddir}/SABnzbd-%{version}%{?sabrc}/SABnzbd.py
%endif
sed -i "s|@DATADIR@|%{_datadir}|g" %{SOURCE1} %{SOURCE2} %{SOURCE3}

%install

rm -rf %{buildroot}

#SABnzbd
%{__install} -d -m0755  %{buildroot}%{_datadir}/SABnzbd
for dir in email interfaces po util tools sabnzbd cherrypy SABnzbd.py* icons gntp; do
%{__cp} -a %{_builddir}/SABnzbd-%{version}%{?sabrc}/$dir %{buildroot}%{_datadir}/SABnzbd
done

#start script
%{__install} -d -m0755 %{buildroot}%{_bindir}
%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{_bindir}/SABnzbd

#desktop file
%{__install} -d -m0755 %{buildroot}%{_datadir}/applications 
desktop-file-install --vendor fedora --dir %{buildroot}%{_datadir}/applications %{SOURCE2}

#init script
%if 0%{?fedora} >= 19
%{__install} -d -m0755 %{buildroot}/usr/lib/systemd/system/
%{__install} -D -m0755 %{SOURCE5} %{buildroot}/usr/lib/systemd/system/
%else
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/init.d
%{__install} -D -m0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/init.d/SABnzbd
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -D -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/SABnzbd
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ISSUES.txt ABOUT.txt  COPYRIGHT.txt  GPL2.txt  GPL3.txt  INSTALL.txt LICENSE.txt scripts/Sample-PostProc.sh licenses/*
%{_bindir}/SABnzbd
%{_datadir}/SABnzbd
%{_datadir}/applications/fedora-SABnzbd.desktop
%if 0%{?fedora} >= 19
/usr/lib/systemd/system/SABnzbd@.service
%else
%{_sysconfdir}/init.d/SABnzbd
%config(noreplace) %{_sysconfdir}/sysconfig/SABnzbd
%endif



%post
%if 0%{?fedora} >= 19
%systemd_post SABnzbd@.service
%else
update-desktop-database &>/dev/null ||:
/sbin/chkconfig --add SABnzbd
%endif

%preun
%if 0%{?fedora} >= 19
%systemd_preun SABnzbd@.service
%else
if [ $1 = 0 ] ; then
    /sbin/service SABnzbd stop >/dev/null 2>&1
    /sbin/chkconfig --del SABnzbd
fi
%endif

%postun
%if 0%{?fedora} >= 19
%systemd_postun_with_restart SABnzbd@.service 
%else
if [ "$1" -ge "1" ] ; then
    /sbin/service SABnzbd condrestart >/dev/null 2>&1 || :
fi
update-desktop-database &> /dev/null ||:
%endif

%changelog
* Fri Aug 12 2016 josef radinger <cheese@nosuchhost.net> - 1.1.0RC3-1
- bump version

* Sun Jun 05 2016 josef radinger <cheese@nosuchhost.net> - 1.0.3-1
- bump version

* Fri May 13 2016 josef radinger <cheese@nosuchhost.net> - 1.0.2-1
- bump version

* Wed Mar 16 2016 josef radinger <cheese@nosuchhost.net> - 1.0.0-1
- bump version
- remove patch0
- adjust filelist

* Sat Nov 22 2014 josef radinger <cheese@nosuchhost.net> - 0.7.20-1
- bump version

* Sun Nov 02 2014 josef radinger <cheese@nosuchhost.net> - 0.7.19-1
- bump version

* Sun Jul 06 2014 josef radinger <cheese@nosuchhost.net> - 0.7.18-1
- bump version

* Sun Jun 22 2014 josef radinger <cheese@nosuchhost.net> - 0.7.17-6
- initial version

